﻿using System;
using System.Windows;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Unity;
using Microsoft.Practices.Composite.UnityExtensions;

namespace Prism.Shell
{
	internal class Bootstrapper : UnityBootstrapper
	{
		protected override DependencyObject CreateShell()
		{
			Shell shell = this.Container.Resolve<Shell>();
			Application.Current.RootVisual = shell;
			return shell;
		}

		protected override IModuleCatalog GetModuleCatalog()
		{
			ModuleCatalog catalog = new ModuleCatalog();

			return ModuleCatalog.CreateFromXaml(
					new Uri("Prism.Shell;component/ModulesCatalog.xaml", UriKind.Relative));
		}
	}
}

